Commit Diff


commit - 5a17689a92bb716ecff551f2a18eab30e762ed6b
commit + 29c68398c5b5c7fc7ff5534ed3921b6faa9912a9
blob - dc2761fa45cd308f397eaaffefa39b87bcfe6389
blob + 1999e16c89af6d8f4e46b5f62559e045f5c8f2fa
--- regress/cmdline/histedit.sh
+++ regress/cmdline/histedit.sh
@@ -1421,6 +1421,16 @@ test_histedit_fold_add_delete() {
 
 	(cd $testroot/wt && got log -l3 | grep ^commit > $testroot/stdout)
 	echo "commit $new_commit1 (master)" > $testroot/stdout.expected
+	cmp -s $testroot/stdout.expected $testroot/stdout
+	ret="$?"
+	if [ "$ret" != "0" ]; then
+		diff -u $testroot/stdout.expected $testroot/stdout
+		test_done "$testroot" "$ret"
+		return 1
+	fi
+
+	got tree -r $testroot/repo epsilon > $testroot/stdout
+	echo "zeta" > $testroot/stdout.expected
 	cmp -s $testroot/stdout.expected $testroot/stdout
 	ret="$?"
 	if [ "$ret" != "0" ]; then